
QGIS Application - Bug report #17686

filter does not allow data modification

2017-12-12 09:57 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:master Regression?: Yes

Operating System: win 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25583

Description

by applying a filter to a shapefile (right mouse button on layer => filter) it is no longer possible to edit the shapefile, the icon can not be

activated.

The problem occurs on 2.18.15 and on the master 010cb1567b - in 2.14.20 it works!!!

Related issues:

Duplicates QGIS Application - Bug report # 11189: No shp edit mode when query... Closed 2014-09-11

History

#1 - 2017-12-12 10:24 PM - salvatore fiandaca

I add: removing the filter, the problem remains

#2 - 2017-12-18 06:27 AM - Patrick Dunford

This is probably a duplicate of #17124

#3 - 2018-01-02 07:59 PM - Jürgen Fischer

- Duplicates Bug report #11189: No shp edit mode when query used? added

#4 - 2018-01-25 03:22 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Patrick Dunford wrote:

This is probably a duplicate of #17124

it is.
